package webapp

import (
	"bytes"
	"testing"
)

func TestTemplatesExecute(t *testing.T ) {
	tmpl, err := ParseTemplates()
	if err != nil {
		t.Fatalf("ParseTemplates: %v", err)
	}

	names := tmpl.Templates()
	for _, tt := range names {
		var buf bytes.Buffer
		if err := tmpl.ExecuteTemplate(&buf, tt.Name(), nil); err != nil {
			t.Errorf("template %s failed: %v", tt.Name(), err)
		}
	}
}
